// mainfrm.h : interface of the CMainFrame class
//
/////////////////////////////////////////////////////////////////////////////
#ifndef __MAINFRM_H__
#define __MAINFRM_H__

#ifndef __AFXWIN_H__
#include <afxwin.h>
#endif

class CMainFrame : public CFrameWnd
{
protected: // create from serialization only
        CMainFrame();
        DECLARE_DYNCREATE(CMainFrame)

// Attributes
public:

// Operations
public:
        BOOL OnCommand( WPARAM wParam, LPARAM lParam);

        void update(int ply, int nodes, float score,
           LPCSTR predicted);

        void update(int nodes);

        void clear_status_bar();
	
// Implementation
public:
        virtual ~CMainFrame();
#ifdef _DEBUG
        virtual void AssertValid() const;
        virtual void Dump(CDumpContext& dc) const;
#endif

protected:  // control bar embedded members

        void updateSafe(int bar,int index, LPCSTR text);

friend class Display;

        CStatusBar  m_wndStatusBar, m_pvStatusBar;
        CToolBar    m_wndToolBar;

// Generated message map functions
protected:
        //{{AFX_MSG(CMainFrame)
        afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
        afx_msg void OnClose();
        //}}AFX_MSG
        DECLARE_MESSAGE_MAP()

        BOOL PreCreateWindow(CREATESTRUCT &);
};

#endif
/////////////////////////////////////////////////////////////////////////////
